commonmark-extensions-0.2.6: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Extensions.Smart

# Documentation

class IsInline il => HasQuoted il where #

Methods

singleQuoted :: il -> il #

doubleQuoted :: il -> il #

#### Instances

Instances details

Rangeable (Html a) => HasQuoted (Html a) # |
Instance details Defined in Commonmark.Extensions.Smart Methods singleQuoted :: Html a -> Html a # doubleQuoted :: Html a -> Html a #
(HasQuoted i, Monoid i, Semigroup i) => HasQuoted (WithSourceMap i) # |
Instance details Defined in Commonmark.Extensions.Smart Methods singleQuoted :: WithSourceMap i -> WithSourceMap i # doubleQuoted :: WithSourceMap i -> WithSourceMap i #

smartPunctuationSpec :: forall (m :: Type -> Type) il bl. (Monad m, IsBlock il bl, IsInline il, HasQuoted il) => SyntaxSpec m il bl #